using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class DirectionalFlareChromaticAberation:FlareChromaticAberation
  {
    [Export]
    public Vector2 direction;

    public override void ApplyChromaticAberation( FlareLayer.Data data )
    {
      var material = data.material;

      ApplyChromaticAberationBase( data );

      BaseFlareShader.chromaticAberationDirection.Set( material, direction );
      BaseFlareShader.chromaticAberationDirectionTowardsCenter.Set( material, 0f );
    }
  }
}